
set form [ns_getform]

set requestNumber [ns_set get $form requestNumber]

set requestInfo [tt_get_request_info $requestNumber]
foreach {requestLine startTime finishTime duration statementCount stringSpace} $requestInfo break

set result "<html>
<head>
<title>Request #${requestNumber} Raw Trace</title>
</head>
<body bgcolor=#FFFFFF>

<h2>Request #${requestNumber} Raw Trace</h2>

<hr>

<table>
<tr><th align=left>Request Line:</th><td>$requestLine</td></tr>
<tr><th align=left>Start Time:</th><td>$startTime</td></tr>
<tr><th align=left>Finish Time:</th><td>$finishTime</td></tr>
<tr><th align=left>Duration:</th><td>$duration</td></tr>
<tr><th align=left>Statements:</th><td>$statementCount</td></tr>
<tr><th align=left>String Space:</th><td>$stringSpace</td></tr>
</table>

<table width=100%>
<tr><th width=4%>Lv</th>
    <th width=6%>Time</th>
    <th width=90%>Command</th></tr>"

set trace [tt_get_request_trace $requestNumber]

ns_log notice $trace

set localTotal 0.0
foreach entry $trace {
    foreach {cmd level total reported calculated} $entry break
    set space [expr 100 - ($level * 2)]

    set local [expr $total - $reported]

    append result "
<tr><td>$level</td>
    <td>[format %5.5f $local]</td>
    <td align=right><table align=right width=${space}%><tr><td>$cmd</td></tr></table></td></tr>"
}

append result "
</table>
</body>
</html>"

ns_return 200 text/html $result